export declare const zocksStoreConfig: {
    reducer: {
        chat: import("redux").Reducer<import("..").ChatModel, import("redux").AnyAction>;
        mediaDevice: import("redux").Reducer<import("..").MediaDeviceModel, import("redux").AnyAction>;
        session: import("redux").Reducer<import("..").SessionModel, import("redux").AnyAction>;
        transcript: import("redux").Reducer<import("..").SessionTranscriptModel, import("redux").AnyAction>;
        aiFeature: import("redux").Reducer<import("..").AIFeaturesModel, import("redux").AnyAction>;
        view: import("redux").Reducer<import("../store/view/models").ViewModel, import("redux").AnyAction>;
        virtualBackground: import("redux").Reducer<import("..").VirtualBackgroundModel, import("redux").AnyAction>;
    };
};
declare const store: import("@reduxjs/toolkit/dist/configureStore").ToolkitStore<{
    chat: import("..").ChatModel;
    mediaDevice: import("..").MediaDeviceModel;
    session: import("..").SessionModel;
    transcript: import("..").SessionTranscriptModel;
    aiFeature: import("..").AIFeaturesModel;
    view: import("../store/view/models").ViewModel;
    virtualBackground: import("..").VirtualBackgroundModel;
}, import("redux").AnyAction, [import("@reduxjs/toolkit").ThunkMiddleware<{
    chat: import("..").ChatModel;
    mediaDevice: import("..").MediaDeviceModel;
    session: import("..").SessionModel;
    transcript: import("..").SessionTranscriptModel;
    aiFeature: import("..").AIFeaturesModel;
    view: import("../store/view/models").ViewModel;
    virtualBackground: import("..").VirtualBackgroundModel;
}, import("redux").AnyAction, undefined>]>;
export type AppDispatch = typeof store.dispatch;
export type RootState = ReturnType<typeof store.getState>;
export {};
